Const xlHtml = 44
Const xlWebArchive = 45

' source CT Test Resport Directory (*.xls)
ctTestResultXLS = "Z:\export\zlib\Test_Result\"
' target CT Test Resport Directory (*.html)
ctTestResultHTML = "Z:\html_report\"

Set objFSO = CreateObject("Scripting.FileSystemObject")

Set objFolder = objFSO.GetFolder(ctTestResultXLS)
Set colFiles = objFolder.Files
For Each objFile in colFiles
	' Create an instance of Excel and open the workbook...
	Set objExcel = CreateObject("Excel.Application")
		
	objExcel.Workbooks.Open ctTestResultXLS + objFile.Name

	' Save the workbook as an HTML or MHTML page...
	objExcel.ActiveWorkbook.SaveAs ctTestResultHTML + objFile.Name + ".html",  xlHtml
	' -or-
	'objExcel.ActiveWorkbook.SaveAs ctTestResultHTML + objFile.Name + ".mhtml", xlWebArchive

	' Close Excel...
	objExcel.Quit	
Next
